%global pypi_name android_backup
%global srcname android-backup-tools

Name:           python-android-backup
Version:        0.2.0
Release:        %autorelease
Summary:        Unpack and repack android backups

License:        Apache-2.0
URL:            https://github.com/bluec0re/android-backup-tools
# PyPI doesn't include tests
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-crypto
BuildRequires:  sed

%global _description %{expand:
This is package provides tools and libraries to unpack and repack Android
backups.}

%description %_description

%package -n     python3-android-backup
Summary:        %{summary}
Requires:       python3-crypto

%description -n python3-android-backup %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Drop unnecessary shebangs
sed -i '/#!\/usr\/bin\/env python/d' %{pypi_name}/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%py3_test_envvars python3 -m %{pypi_name}.tests

%files -n python3-android-backup -f %{pyproject_files}
%doc README.md CONTRIBUTORS
%{_bindir}/android-backup-pack
%{_bindir}/android-backup-unpack

%changelog
%autochangelog
